Search

Core Search

Searches for records based on a given query.

GET
/search.core

Searches for records based on a given query.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Query Parameters

query*string

The query string. Search query language: https://docs.devrev.ai/product/search#fields. Text and text phrases will be truncated if they exceed 50 characters respectively; filters will not be truncated.

Formattext
cursor?string

The cursor to resume iteration from. If not provided, then iteration starts from the beginning.

Formattext
limit?integer

The maximum number of items to return in a page. The default is '10'.

Formatint32
mode?string

The iteration mode to use, otherwise if not set, then "after" is used.

Value in"after" | "before"
namespaces?array<search-namespace>

The namespaces to search in.

sort_by?string

The property on which to sort the search results. The default is RELEVANCE.

Value in"created_date" | "modified_date" | "relevance"
sort_order?string

Sorting order. The default is DESCENDING.

Value in"asc" | "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.devrev.ai/search.core?query=string"
{
  "cursor": "string",
  "next_cursor": "string",
  "prev_cursor": "string",
  "results": [
    {
      "type": "account",
      "modified_date": "2023-01-01T12:00:00.000Z",
      "snippet": "string",
      "account": {
        "display_id": "string",
        "id": "string",
        "display_name": "string"
      },
      "comments": [
        {
          "comment": {
            "display_id": "string",
            "id": "string",
            "sync_metadata": {
              "external_reference": "string",
              "last_sync_in": {
                "status": "failed",
                "sync_unit": {
                  "display_id": "string",
                  "id": "string",
                  "external_sync_unit_name": "string",
                  "external_system_id": "string",
                  "external_system_name": "string",
                  "external_system_type": "adaas",
                  "is_archived": true,
                  "name": "string",
                  "sync_run": {
                    "mode": "initial",
                    "progress": {
                      "state": "completed"
                    },
                    "reserved_rate_limit_percentage": 0
                  },
                  "sync_type": "manual"
                }
              },
              "origin_system": "string"
            }
          },
          "created_by": {
            "type": "dev_user",
            "display_id": "string",
            "id": "string",
            "display_name": "string",
            "display_picture": {
              "display_id": "string",
              "id": "string",
              "file": {
                "type": "string",
                "name": "string",
                "size": 0
              }
            },
            "email": "string",
            "full_name": "string",
            "state": "active"
          },
          "created_date": "2023-01-01T12:00:00.000Z",
          "object": "string",
          "panels": [
            "alerts"
          ],
          "references": [
            {
              "type": "account",
              "display_id": "string",
              "id": "string",
              "display_name": "string"
            }
          ],
          "snippet": "string"
        }
      ]
    }
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden"
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}